Summary:	Free DOOM engine - DOOM is a classic 3D shoot-em-up game
Name:		prboom
Version:	2.5.0
Release:	%mkrel 24
Group:		Games/Shooter
License:	GPLv2
URL:		http://prboom.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/prboom/%{name}-%{version}.tar.bz2
Source1:	%{name}-game-server.sysconfig
Source2:	%{name}-game-server.init
Source3:	%{name}-64.png
Patch0:		prboom-2.5.0-libpng-1.4.patch
BuildRequires:	pkgconfig(sdl)
BuildRequires:	smpeg-devel
BuildRequires:	pkgconfig(SDL_mixer)
BuildRequires:	pkgconfig(SDL_net)
BuildRequires:	sed
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(libpng)
Requires:	TiMidity++
Recommends:	doom-iwad
Provides:	doom-engine

%description
PrBoom is a game engine: it provides a program to play DOOM levels, but
it does not include any levels itself. More importantly, you need all the
sounds, sprites, and other graphics that make up the DOOM environment.
So to play PrBoom, you need one of the main DOOM date files from id
Software: either doom.wad, doom2.wad, tnt.wad or plutonia.wad from one
of the commercial DOOM games, or install FreeDOOM.

%package gl
Summary:	OpenGL version
Group:		Games/Shooter
Requires:	%{name} = %{version}

%description gl
This package contains the PrBooM binary that runs accelerated through
OpenGL.

%package server
Summary:	PrBooM game server
Group:		Games/Shooter
Requires(pre):	rpm-helper
Requires:	%{name} = %{version}

%description server
This package contains the PrBooM server binary, that is the program 
that passes data between the different players in the game.

%prep
%setup -q
%autopatch -p1

%build
# fix build on aarch64
autoreconf -vfi

export CPPFLAGS="$CPPFLAGS -fcommon"
%define common_conf_flags --disable-cpu-opt --disable-i386-asm
%configure %{common_conf_flags} --enable-gl
%make_build
cp src/prboom prboom-gl

make clean

%configure %{common_conf_flags}
%make_build

%install
%make_install

install -m755 prboom-gl %{buildroot}%{_gamesbindir}
rm -fr %{buildroot}%_datadir/doc/

install -d %{buildroot}%{_sysconfdir}/sysconfig \
	   %{buildroot}%{_initrddir}
cp %{SOURCE1} %{buildroot}%{_sysconfdir}/sysconfig/%{name}-game-server
cp %{SOURCE2} %{buildroot}%{_initrddir}/%{name}-game-server
sed -i "s|/etc/sysconfig|%{_sysconfdir}/sysconfig| ; s|/usr/games|%{_gamesbindir}|" \
%{buildroot}%{_initrddir}/%{name}-game-server
chmod 755 %{buildroot}%{_initrddir}/%{name}-game-server

mkdir -p %{buildroot}%{_iconsdir}/hicolor/48x48/apps
install -m644 %{SOURCE3} -D %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

mkdir -p %buildroot%{_datadir}/applications/
cat << EOF > %buildroot%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Type=Application
Categories=Game;ArcadeGame;
Name=PrBooM
Comment=Free DOOM engine
Icon=%{name}
Exec=%{name}
EOF

cat << EOF > %buildroot%{_datadir}/applications/%{name}-multiplayer.desktop
[Desktop Entry]
Type=Application
Categories=Game;ArcadeGame;
Name=PrBooM Multiplayer
Comment=Free DOOM engine
Icon=%{name}
Exec=sh -c "%{name} -net localhost"
EOF

cat << EOF > %buildroot%{_datadir}/applications/%{name}-gl.desktop
[Desktop Entry]
Type=Application
Categories=Game;ArcadeGame;
Name=PrBooM-GL
Comment=Free DOOM engine
Icon=%{name}
Exec=%{name}-gl
EOF

cat << EOF > %buildroot%{_datadir}/applications/%{name}-gl-multiplayer.desktop
[Desktop Entry]
Type=Application
Categories=Game;ArcadeGame;
Name=PrBooM-GL Multiplayer
Comment=Free DOOM engine
Icon=%{name}
Exec=sh -c "%{name}-gl -net localhost"
EOF

%post server
%_post_service %{name}-game-server

%preun server
%_preun_service %{name}-game-server

%files
%doc AUTHORS NEWS README TODO
%doc doc/*.txt doc/README.*
%{_gamesbindir}/%{name}
%dir %{_gamesdatadir}/doom
%{_gamesdatadir}/doom/%{name}.wad
%{_mandir}/man5/*
%{_mandir}/man6/%{name}.6*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/%{name}-multiplayer.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png

%files gl
%{_gamesbindir}/%{name}-gl
%{_datadir}/applications/%{name}-gl.desktop
%{_datadir}/applications/%{name}-gl-multiplayer.desktop

%files server
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}-game-server
%{_initrddir}/%{name}-game-server
%{_gamesbindir}/%{name}-game-server
%{_mandir}/man6/%{name}-game-server*


%changelog
* Thu May 14 2020 tv <tv> 2.5.0-24.mga8
+ Revision: 1583664
- Fix build with gcc 10

* Sat Feb 15 2020 umeabot <umeabot> 2.5.0-23.mga8
+ Revision: 1525420
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Apr 17 2019 zezinho <zezinho> 2.5.0-22.mga7
+ Revision: 1391924
- fix desktop file

* Sun Sep 23 2018 umeabot <umeabot> 2.5.0-21.mga7
+ Revision: 1300369
- Mageia 7 Mass Rebuild

* Fri Jul 06 2018 wally <wally> 2.5.0-20.mga7
+ Revision: 1242211
- enable png support for screenshots
- add patch from BusyBox to fix build with libpng >= 1.4

* Fri Jul 06 2018 wally <wally> 2.5.0-19.mga7
+ Revision: 1242207
- fix build on aarch64

* Wed Sep 13 2017 tv <tv> 2.5.0-18.mga7
+ Revision: 1153407
- rebuild for new libdumb

* Mon Jan 18 2016 daviddavid <daviddavid> 2.5.0-17.mga6
+ Revision: 925269
- switch to %%configure2_5x to fix build

* Wed Oct 15 2014 umeabot <umeabot> 2.5.0-16.mga5
+ Revision: 748091
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.5.0-15.mga5
+ Revision: 687765
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 2.5.0-14.mga4
+ Revision: 517673
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.5.0-13.mga3
+ Revision: 378165
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 malo <malo> 2.5.0-12.mga3
+ Revision: 343804
- updated RPM group

* Wed Aug 15 2012 dams <dams> 2.5.0-11.mga3
+ Revision: 281407
- update require
- update %%summary
- update %%description

* Sun Aug 05 2012 dams <dams> 2.5.0-10.mga3
+ Revision: 278613
- fix icon name in .desktop

* Sun Aug 05 2012 dams <dams> 2.5.0-9.mga3
+ Revision: 278596
- doom-iwad is now a suggest and no more a require
- update and fix %%description
- clean specfile
- update icon game

* Sat May 12 2012 zezinho <zezinho> 2.5.0-8.mga2
+ Revision: 235475
- fix desktop files
+ colin <colin>
- Add LSB headers to initscripts (mga#5262)
+ stormi <stormi>
- increase release so that it's higher than in mageia 1

* Tue Jun 21 2011 zezinho <zezinho> 2.5.0-6.mga2
+ Revision: 111288
- bump release
- provide a doom-engine

* Mon Jun 20 2011 zezinho <zezinho> 2.5.0-5.mga2
+ Revision: 110312
- imported package prboom

